Bug 156942 - Changes to math/octave-forge ports necessitated by recent octave update
Changes to math/octave-forge ports necessitated by recent octave update
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stephen Montgomery-Smith
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-11 02:30 UTC by stephen
Modified: 2011-06-14 23:40 UTC (History)
0 users

See Also:


Attachments
file.diff (9.29 KB, patch)
2011-05-11 02:30 UTC, stephen
no flags Details | Diff
ddd-math (9.09 KB, text/plain)
2011-06-06 23:31 UTC, stephen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description stephen 2011-05-11 02:30:07 UTC
	

The octave port has been updated.  This causes the following changes:

1.  Installation of octave-forge ports will now work with tinderbox.  So we need to remove a switch from octave-forge-base that causes tinderbox to skip these ports.
2.  The octave-forge-XXX ports do not build for XXX = communications, es, fits, octgpr, parallel, pt_br, symbolic.  These are marked broken.
3.  The defaults for which subports of octave-forge need to be built are changed to accomodate the broken ports.  The octave-forge-ga port also needs to be removed as a default as it depends upon octave-forge-communications.
4.  I added the octave-forge-fl-core port to the list built by octave-forge.
5.  The octave-forge-odepkg distribution file seems to have been changed without a port bump.  So I changed distfiles and bumped port-revision.
Comment 1 stephen 2011-06-06 23:31:18 UTC
Please us this diff instead.

The octave-forge- parallel, odegrp and symbolic ports can now be made to 
work.

Comment 2 Stephen Montgomery-Smith freebsd_committer 2011-06-14 17:39:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stephen



The maintainer is now the committer.
Comment 3 dfilter freebsd_committer 2011-06-14 23:13:25 UTC
stephen     2011-06-14 22:13:17 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge-pt_br Makefile 
    math/octave-forge-es Makefile 
    math/octave-forge-communications Makefile 
    math/octave-forge-fits Makefile 
  Log:
  - BROKEN: does not build under Octave-3.4.0
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.10      +3 -1      ports/math/octave-forge-communications/Makefile
  1.3       +2 -0      ports/math/octave-forge-es/Makefile
  1.3       +2 -0      ports/math/octave-forge-fits/Makefile
  1.11      +2 -0      ports/math/octave-forge-pt_br/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2011-06-14 23:20:18 UTC
stephen     2011-06-14 22:20:04 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge    Makefile 
  Log:
  - Change the defaults as to which subports are built:
          Not built by default: octave-forge-es, octave-forge-pt_br,
                  octave-forge-fits, and octave-forge-communication are broken
                  under octave-3.4.0; octave-forge-ga depends upon
                  octave-forge-communication.
          Added to default builds: the port octave-forge-fl-core.
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.42      +10 -6     ports/math/octave-forge/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2011-06-14 23:22:11 UTC
stephen     2011-06-14 22:22:03 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge-odepkg Makefile distinfo 
  Log:
  - Track changed distfile (content verified)
  - Bump PORTREVISION
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.13      +3 -2      ports/math/octave-forge-odepkg/Makefile
  1.7       +2 -2      ports/math/octave-forge-odepkg/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter freebsd_committer 2011-06-14 23:25:15 UTC
stephen     2011-06-14 22:25:00 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge-octgpr Makefile distinfo 
  Log:
  - Update to version 1.2.0
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.10      +6 -2      ports/math/octave-forge-octgpr/Makefile
  1.4       +2 -2      ports/math/octave-forge-octgpr/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2011-06-14 23:26:53 UTC
stephen     2011-06-14 22:26:45 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge-parallel Makefile distinfo 
  Log:
  - Update to version 2.0.5
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.12      +2 -1      ports/math/octave-forge-parallel/Makefile
  1.7       +2 -2      ports/math/octave-forge-parallel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2011-06-14 23:28:22 UTC
stephen     2011-06-14 22:28:08 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge-symbolic Makefile distinfo 
  Log:
  - Add patch that makes it work with Octave 3.4.0
  - Bump PORTREVISION
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.12      +5 -1      ports/math/octave-forge-symbolic/Makefile
  1.5       +2 -0      ports/math/octave-forge-symbolic/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2011-06-14 23:31:37 UTC
stephen     2011-06-14 22:30:59 UTC

  FreeBSD ports repository

  Modified files:
    math/octave-forge-base Makefile pkg-plist 
  Log:
  - Remove some bits that stop build under tinderbox.  The old version of octave did not correctly install packages under tinderbox.  Octave-3.4.0 fixes this problem.
  
  PR:             ports/156942
  Submitted by:   stephen
  Approved by:    gabor (mentor)
  
  Revision  Changes    Path
  1.11      +0 -4      ports/math/octave-forge-base/Makefile
  1.2       +7 -7      ports/math/octave-forge-base/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Stephen Montgomery-Smith freebsd_committer 2011-06-14 23:31:56 UTC
State Changed
From-To: open->closed

Committed, Thanks!